v1.0.0
OpenAPI 3.1.0

Get a broadcast

US region

Client Libraries

Get a broadcast

Returns metadata for an individual broadcast.

Path Parameters
  • broadcast_id
    Type: integer
    required

    The identifier of a broadcast.

Responses
  • application/json
  • 400

    The broadcastID, actionID or triggerID is invalid.

  • 404

    The broadcast, action, and/or trigger do not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/broadcasts/{broadcast_id}
curl https://api.customer.io/v1/broadcasts/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "broadcast": {
    "id": 2,
    "deduplicate_id": "2:1520467200",
    "created": 1520467200,
    "type": "triggered_broadcast",
    "updated": 1520467200,
    "name": "basic",
    "active": true,
    "state": "running",
    "actions": [
      {
        "id": 3,
        "type": "email"
      },
      {
        "id": 4
      },
      {
        "type": "webhook"
      }
    ],
    "tags": "nil",
    "first_started": 1520467200,
    "created_by": "ExamplePerson"
  }
}